package cn.superdesk.uniorder.service.operationCenter.impl;

import cn.superdesk.uniorder.dao.entity.operationCenter.UnifiedCustomerOperatorOrg;
import cn.superdesk.uniorder.dao.mapper.operationCenter.UnifiedCustomerOperatorOrgMapper;
import cn.superdesk.uniorder.service.operationCenter.OperationCenterCustomerOperatorOrgService;
import lombok.RequiredArgsConstructor;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.Map;

/**
 * @Author : zx
 * @Create : 2023/4/13 11:37
 * Description :
 */
@Service
@RequiredArgsConstructor
public class OperationCenterCustomerOperatorOrgServiceImpl implements OperationCenterCustomerOperatorOrgService {
    private final UnifiedCustomerOperatorOrgMapper operationCenterCustomerOperatorOrgMapper;

    @Override
    public int insertSelective(UnifiedCustomerOperatorOrg unifiedCustomerOperatorOrg) {
        return operationCenterCustomerOperatorOrgMapper.insertSelective(unifiedCustomerOperatorOrg);
    }

    @Override
    public int updateByPrimaryKeySelective(UnifiedCustomerOperatorOrg unifiedCustomerOperatorOrg) {
        return operationCenterCustomerOperatorOrgMapper.updateByPrimaryKeySelective(unifiedCustomerOperatorOrg);
    }

    @Override
    public void deleteObj(Long id) {
        operationCenterCustomerOperatorOrgMapper.deleteByPrimaryKey(id);
    }

    @Override
    public UnifiedCustomerOperatorOrg findById(Long id) {
        return operationCenterCustomerOperatorOrgMapper.selectByPrimaryKey(id);
    }

    @Override
    public List<UnifiedCustomerOperatorOrg> findAll(Map<String, Object> queryMap) {
        return null;
    }

    @Override
    public void insertBatch(List<UnifiedCustomerOperatorOrg> centerCustomerOperatorOrgList) {
        operationCenterCustomerOperatorOrgMapper.insertBatch(centerCustomerOperatorOrgList);
    }

    @Override
    public void deleteByCustomerId(Long customerId, Long userId) {
        operationCenterCustomerOperatorOrgMapper.deleteByCustomerId(customerId,userId);
    }
}
